commit:     e403149704100012821edbd7bb704b41fc53825a
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Jan  8 07:28:56 2020 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Jan  8 07:39:16 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e4031497

net-analyzer/braa: EAPI=7

Package-Manager: Portage-2.3.84, Repoman-2.3.20
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-analyzer/braa/braa-0.82-r1.ebuild | 27 +++++++++++++++++++++++++++
 1 file changed, 27 insertions(+)

diff --git a/net-analyzer/braa/braa-0.82-r1.ebuild 
b/net-analyzer/braa/braa-0.82-r1.ebuild
new file mode 100644
index 00000000000..c22f36d8711
--- /dev/null
+++ b/net-analyzer/braa/braa-0.82-r1.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit toolchain-funcs
+
+DESCRIPTION="Quick and dirty mass SNMP scanner"
+HOMEPAGE="http://s-tech.elsat.net.pl/braa/";
+SRC_URI="http://s-tech.elsat.net.pl/braa/${P}.tar.gz";
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-0.8-gentoo.diff
+)
+
+src_prepare() {
+       default
+       sed -i braa.c -e 's|0.81|0.82|g' || die
+       tc-export CC
+}
+
+src_install() {
+       dobin braa
+       dodoc README
+}

Reply via email to